import { BaseView } from "./base-view";
import { PouchService } from "../services/pouch-service";
import { Observable } from "rxjs/Observable";

export abstract class BaseDetailsView<T> extends BaseView<T> {
    

    constructor(c: { new (): T; }) {
        super(c, PouchService);
    }

    /**
     * 
     * @param data 
     */
    save(data: T): Observable<any> {
        let storableData = {
            odoo_model: super.getModelName(),
            records: [
                data
            ]
        };

        return super.getInjectable(PouchService).save(storableData);
    }
}