import { Component } from "@angular/core";
import { NavController, NavParams, ActionSheetController } from "ionic-angular";

import { BaseListView } from "../../base/base-list-view";
import { Partner } from "../../odoo/models/res.partner";
import { CustomerPage } from "../customer/customer";

@Component({
    selector: 'page-customers',
    templateUrl: 'customers.html'
})
export class CustomersPage extends BaseListView<Partner> {



    constructor(
        public navCtrl: NavController,
        public navParams: NavParams,
        public actionSheetCtrl: ActionSheetController
    ) {
        super(Partner, ["customer", "=", true]);
     }

    ionViewDidLoad() {
        console.log('ionViewDidLoad CustomersPage');
    }

    /**
     * 
     * @param item
     */
    openOptions(item: Partner): void {
        this.setSelectedItem(item);

        console.log(this.getSelectedIndex());
        console.log(this.getSelectedItem());
        
        
        this.actionSheetCtrl.create({
            title: "Opciones",
            buttons: [
                {
                    text: "Abrir",
                    icon: "open",
                    handler: () => {

                    }
                },
                {
                    text: "Ir a ubicación",
                    icon: "navigate",
                    handler: () => {

                    }
                },
                {
                    text: "Llamar",
                    icon: "call",
                    handler: () => {

                    }
                },
                {
                    text: "Eliminar",
                    icon: "close",
                    role: "destructive",
                    handler: () => {

                    }
                },
                {
                    text: "Cancel",
                    role: "cancel",
                    handler: () => {
                        console.log("Canceled");
                        
                    }
                },
            ]
        }).present();
    }

    /**
     * 
     */
    goToDetails(): void {
        console.log("Details");

        this.navCtrl.push(CustomerPage);
    }
}
